Bug 331867 - mysql: column 'name' can not be null when migrating PartTable
Summary: mysql: column 'name' can not be null when migrating PartTable
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: server (show other bugs)
Version: 1.11.80
Platform: Kubuntu Linux
: NOR grave with 73 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-08 01:31 UTC by tbohaning
Modified: 2014-04-28 12:18 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.12.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tbohaning 2014-03-08 01:31:29 UTC
Starting kontact brings up a grayed out background for kmail. Indicating that Akonadi is not running. Pressing the Start button attempts to do an upgrade of the Database. It errors out and stops.

When I try to start akonadi manually I get the following:

DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f5e6e31bff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f5e6e31bf79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f5e6e31f388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f5e6fe05c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f5e6fea0460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f5e6feafb2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f5e6feb8711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f5e6ff2ac0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f5e6ff124cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f5e6ff15b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f5e6ff3ff53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f5e6d9eae04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f5e6d9eb048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f5e6d9eb0ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f5e6ff3f815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f5e6ff1109f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f5e6ff11395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f5e6ff16b69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f5e6e306ec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/lib/jvm/java-8-oracle/bin", "/usr/lib/jvm/java-8-oracle/db/bin", "/usr/lib/jvm/java-8-oracle/jre/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttable_new                              OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.proxies_priv                                 OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f71ce0f8ff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f71ce0f8f79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f71ce0fc388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f71cfbe2c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f71cfc7d460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f71cfc8cb2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f71cfc95711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f71cfd07c0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f71cfcef4cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f71cfcf2b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f71cfd1cf53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f71cd7c7e04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f71cd7c8048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f71cd7c80ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f71cfd1c815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f71cfcee09f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f71cfcee395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f71cfcf3b69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f71ce0e3ec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/lib/jvm/java-8-oracle/bin", "/usr/lib/jvm/java-8-oracle/db/bin", "/usr/lib/jvm/java-8-oracle/jre/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttable_new                              OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.proxies_priv                                 OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f712a6afff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f712a6aff79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f712a6b3388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f712c199c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f712c234460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f712c243b2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f712c24c711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f712c2bec0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f712c2a64cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f712c2a9b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f712c2d3f53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f7129d7ee04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f7129d7f048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f7129d7f0ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f712c2d3815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f712c2a509f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f712c2a5395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f712c2aab69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f712a69aec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
"akonadiserver" crashed too often and will not be restarted! 


Reproducible: Always

Steps to Reproduce:
1. upgrade to 4.12.3
2. Start kontact
3. kmail, Calendar, contacts are all not working
4. akonadictl start
Actual Results:  
When I try to start akonadi manually I get the following:

DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f5e6e31bff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f5e6e31bf79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f5e6e31f388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f5e6fe05c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f5e6fea0460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f5e6feafb2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f5e6feb8711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f5e6ff2ac0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f5e6ff124cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f5e6ff15b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f5e6ff3ff53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f5e6d9eae04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f5e6d9eb048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f5e6d9eb0ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f5e6ff3f815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f5e6ff1109f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f5e6ff11395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f5e6ff16b69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f5e6e306ec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/lib/jvm/java-8-oracle/bin", "/usr/lib/jvm/java-8-oracle/db/bin", "/usr/lib/jvm/java-8-oracle/jre/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttable_new                              OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.proxies_priv                                 OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f71ce0f8ff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f71ce0f8f79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f71ce0fc388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f71cfbe2c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f71cfc7d460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f71cfc8cb2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f71cfc95711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f71cfd07c0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f71cfcef4cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f71cfcf2b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f71cfd1cf53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f71cd7c7e04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f71cd7c8048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f71cd7c80ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f71cfd1c815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f71cfcee09f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f71cfcee395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f71cfcf3b69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f71ce0e3ec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/lib/jvm/java-8-oracle/bin", "/usr/lib/jvm/java-8-oracle/db/bin", "/usr/lib/jvm/java-8-oracle/jre/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttable_new                              OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.proxies_priv                                 OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Unable to initialize database.
"[
0: akonadiserver() [0x419587]
1: akonadiserver() [0x4197e2]
2: /lib/x86_64-linux-gnu/libc.so.6(+0x36ff0) [0x7f712a6afff0]
3: /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x39) [0x7f712a6aff79]
4: /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7f712a6b3388]
5: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x102) [0x7f712c199c82]
6: akonadiserver() [0x41b57d]
7: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f712c234460]
8: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x11ab2d) [0x7f712c243b2d]
9: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f712c24c711]
10: akonadiserver() [0x41e27b]
11: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f712c2bec0e]
12: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f712c2a64cd]
13: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f712c2a9b2d]
14: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1aaf53) [0x7f712c2d3f53]
15: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f7129d7ee04]
16: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x49048) [0x7f7129d7f048]
17: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f7129d7f0ec]
18: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x65) [0x7f712c2d3815]
19: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f712c2a509f]
20: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f712c2a5395]
21: /usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f712c2aab69]
22: akonadiserver() [0x413c17]
23: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f712a69aec5]
24: akonadiserver() [0x414548]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
"akonadiserver" crashed too often and will not be restarted! 

Expected Results:  
DB upgrade should complete and  kmail should be functional

DATABASE ERROR:
Error code: 1048
DB error:  "Column 'name' cannot be null"
Error text: "Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Query: "INSERT INTO PartTypeTable (ns, name) VALUES (:0, :1)"
"Column 'name' cannot be null QMYSQL3: Unable to execute statement"
Update failed
Failed to commit transaction for database update
Comment 1 tbohaning 2014-03-08 01:47:51 UTC
Schema version table = 24
Comment 2 mnd999 2014-03-08 15:42:07 UTC
Same issue here, on upgrade to kubuntu 14.04.
Comment 3 tbohaning 2014-03-08 17:03:51 UTC
I did a little further checking. My original database that is currently failing has a column "name" varbinary(255), Null = no, Key =MUL.


As a cross check, I created a completely new DB and checked the layout. The new parttable does not have a name column.

If looks like an incomplete upgrade of the DB occurred.
Comment 4 Eitzenberger Thomas 2014-03-09 06:20:09 UTC
I can confirm this bug happens when upgrading to newest KDE on ubuntu 14.04 beta
Comment 5 Eitzenberger Thomas 2014-03-09 19:04:25 UTC
Problem has been nailed down to akonadi-server package being 1.11.80 version so its the beta for 4.13 KDE release... will try to downgrade to 1.11.0 and keep all updated
Comment 6 tbohaning 2014-03-11 15:03:32 UTC
The updated packages on 3/10 allowed Akonadi to start doing a data scan that never finished. 
The packages released on 3.11 are back to the original issue.
Comment 7 Daniel Vrátil 2014-03-14 16:22:30 UTC
If you still run the stable database (from Akonadi 1.11) that you tried to update to 1.12, could any of you please open Akonadi Console, go to DB Console tab and run following query:

SELECT DISTINCT(name) FROM PartTable;


and post it's output here? The problem you ran into can only happen when some of they part names don't have NAMESPACE:NAME format, which should not happen, but it's possible that there are some legacy names I missed.
Comment 8 tbohaning 2014-03-14 16:43:41 UTC
Daniel - As you requested

ATR:AddressAttribute
ATR:DispatchModeAttribute
ATR:MDNStateAttribute
ATR:ScamAttribute
ATR:SentActionAttribute
ATR:SentBehaviourAttribute
ATR:TransportAttribute
ATR:contactmetadata
ATR:pop3resourceattribute
GID
PLD:ENVELOPE
PLD:HEAD
PLD:RFC822
Comment 9 Daniel Vrátil 2014-03-14 18:36:05 UTC
Ha! We found the culprit. GID is not supposed to be there, it's not a part. It looks like after an update you started KMail, but did not restart Akonadi, so KMail was sending the "GID" data, but Akonadi did not know it so it though it's a part type.

You can run following query in DB Console to get rid of it:

DELETE FROM PartTable WHERE name = 'GID';

This will fix the migration to 1.12 for you. I'll add a check to Akonadi to prevent this from happening to others.
Comment 10 tbohaning 2014-03-14 20:49:44 UTC
That took care of the akonadi issue. Thanks Daniel !!
Comment 11 Johannes Huber 2014-04-03 08:48:02 UTC
Bug seems present in the final release 1.12.0.
Comment 12 Michael 2014-04-07 07:45:17 UTC
Daniel's solution in Comment #9 solved the issue for me when I today upgraded from Kubuntu 13.10 to 14.04. 

As of April 6th, the akonadi-server package 1.12.0-0ubuntu1 still triggered the exact GID issue as was reported in comment #8.
Comment 13 Mathieu Jobin 2014-04-17 10:03:32 UTC
thanks, comment by Daniel Vrátil      2014-03-14 18:36:05 UTC

solved my issue
Comment 14 jms.daley 2014-04-18 16:16:51 UTC
I have the same problem after upgrading to kubuntu 14.04 (akonadi-server 1.12.1). 
How do I get akonadi console to run when any attempt to start it causes the conversion to run and it therefore fails?
Comment 15 Ivan Adzhubey 2014-04-18 23:48:01 UTC
I am having the same problem as well and I do not know how to fix it since akonadi console is also non-functional after the upgrade. Please, help!
Comment 16 Ivan Adzhubey 2014-04-19 02:12:12 UTC
OK, figured it out myself:

$ mysql --socket=/tmp/akonadi-${USER}.rp6WPG/mysql.socket
mysql> use akonadi
mysql> DELETE FROM PartTable WHERE name = 'GID';
mysql> quit
Bye
$ akonadictl start

That helped and akonadi database migration was successfully completed. KMail is now working again.

P.S. Nota, that exact name of your akonadi mysqld instance temporary socket file will be different, use the following command to find it out:

$ ps aux | grep mysqld

Then look for the line in the output with the following parameter: --datadir=/home/$USER/.local/share/akonadi/db_data/. Copy the --socket= parameter from the same line to start mysql textmode client above.
Comment 17 Michael D 2014-04-19 09:31:46 UTC
Ivan Adzhubey at comment 16, thank you very much!
Comment 18 happy 2014-04-20 06:57:06 UTC
(In reply to comment #16)
Ivan, you are a legend!

Experienced this issue upgrading from Kubuntu 13.10 to 14.04; Akonadi DB probably goes back to Kubunnto 12 era :
mysql> DELETE FROM PartTable WHERE name='GID';
Query OK, 48 rows affected (1.12 sec)

Can I add that having Akonadi as a single point of failure it's a real shame that it took me a day of poking around to find this bug report; no other user visible means of diagnosis etc.
Comment 19 Ivan Adzhubey 2014-04-20 07:04:30 UTC
I am glad my fix helped you.
Comment 20 Mark Anderson 2014-04-20 11:13:55 UTC
Ivan @ Comment 16

Thanks again for the walk-through. This one was a real pain for me.

Mark
Comment 21 Joe Biden 2014-04-20 15:38:54 UTC
mysql> use akonadi
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
mysql> show tables;
+----------------------------------+
| Tables_in_akonadi                |
+----------------------------------+
| collectionattributetable         |
| collectionmimetyperelation       |
| collectionpimitemrelation        |
| collectiontable                  |
| flagtable                        |
| mimetypetable                    |
| parttable                        |
| parttypetable                    |
| pimitemflagrelation              |
| pimitemtable                     |
| pimitemtagrelation               |
| resourcetable                    |                                                                                                                                                                               
| schemaversiontable               |                                                                                                                                                                               
| tagattributetable                |                                                                                                                                                                               
| tagremoteidresourcerelationtable |                                                                                                                                                                               
| tagtable                         |                                                                                                                                                                               
+----------------------------------+                                                                                                                                                                               
16 rows in set (0.00 sec)                                                                                                                                                                                          
                                                                                                                                                                                                                   
mysql> DELETE FROM parttable WHERE name = 'GID';                                                                                                                                                                   
ERROR 1054 (42S22): Unknown column 'name' in 'where clause'
mysql> desc part
partTypeId            parttable.data        parttable.external    parttable.partTypeId  parttable.version     parttypetable.id      parttypetable.ns      
parttable             parttable.datasize    parttable.id          parttable.pimItemId   parttypetable         parttypetable.name    
mysql> desc parttable;
+------------+------------+------+-----+---------+----------------+
| Field      | Type       | Null | Key | Default | Extra          |
+------------+------------+------+-----+---------+----------------+
| id         | bigint(20) | NO   | PRI | NULL    | auto_increment |
| pimItemId  | bigint(20) | NO   | MUL | NULL    |                |
| partTypeId | bigint(20) | NO   | MUL | NULL    |                |
| data       | longblob   | YES  |     | NULL    |                |
| datasize   | bigint(20) | NO   |     | NULL    |                |
| version    | int(11)    | YES  |     | 0       |                |
| external   | tinyint(1) | YES  |     | 0       |                |
+------------+------------+------+-----+---------+----------------+
7 rows in set (0.00 sec)

mysql> select * from partable;
ERROR 1146 (42S02): Table 'akonadi.partable' doesn't exist
mysql> Bye


Yeah, I'm at the limit on this one.
Comment 22 Till Schäfer 2014-04-21 16:04:59 UTC
same here on gentoo with 4.13.0 + akonadi server 12.1
Comment 23 Daniel Vrátil 2014-04-22 09:37:19 UTC
Git commit 4ca8b846baaad48ebbd723f6411f9571a3b0f5ad by Dan Vrátil.
Committed on 22/04/2014 at 09:28.
Pushed by dvratil into branch '1.12'.

Remove the invalid GID part from PartTable before starting PartTable migration

More people than we expected have invalid 'GID' part in their PartTable,
which breaks migration to schema 25, because it expects all part types
to have a valid name.

To work around this fact, we DELETE all parts with name 'GID' from PartTable
before starting the actual migration. This will not fix the migration for
people with other invalid parts, but I haven't heard of any such. To make
this completely bullet-proof, we would need to iterate through all entries,
which would be massively slower than current INSERT INTO ... SELECT FROM approach.

Distributions, this is a good choice for backporting into 1.12.1 ;-)
FIXED-IN: 1.12.2

M  +9    -0    server/src/storage/dbupdater.cpp

http://commits.kde.org/akonadi/4ca8b846baaad48ebbd723f6411f9571a3b0f5ad
Comment 24 jajaX 2014-04-28 11:25:33 UTC
Hi ! (sorry for my bad english)

it'sn't solved forum after upgrade 4.12 to 4.13.

these is the konsole result :

jajax@portable:~$ akonadictl start
Starting Akonadi Server... 
   done. 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
jajax@portable:~$ search paths:  ("/usr/lib/lightdm/lightdm", "/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/bin/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
MySQL version OK (required "5.1" , available "5.5" ) 
Database "akonadi" opened using driver "QMYSQL" 
DbInitializer::run() 
checking table  "SchemaVersionTable" 
checking table  "ResourceTable" 
checking table  "CollectionTable" 
checking table  "MimeTypeTable" 
checking table  "PimItemTable" 
checking table  "FlagTable" 
checking table  "PartTypeTable" 
checking table  "PartTable" 
checking table  "CollectionAttributeTable" 
checking table  "TagTable" 
checking table  "TagAttributeTable" 
checking table  "TagRemoteIdResourceRelationTable" 
checking table  "PimItemFlagRelation" 
checking table  "PimItemTagRelation" 
checking table  "CollectionMimeTypeRelation" 
checking table  "CollectionPimItemRelation" 
DbInitializer::run() done 
skipping update 2 
skipping update 3 
skipping update 4 
skipping update 8 
skipping update 10 
skipping update 12 
skipping update 13 
skipping update 14 
skipping update 15 
skipping update 16 
skipping update 17 
skipping update 18 
skipping update 19 
skipping update 20 
skipping update 21 
skipping update 22 
skipping update 23 
skipping update 24 
skipping update 25 
skipping update 26 
Adding new foreign key constraints 
"ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE" 
Updating index failed:  
Sql error: Cannot add or update a child row: a foreign key constraint fails (`akonadi`.`#sql-a49_1b`, CONSTRAINT `#sql-a49_1b_ibfk_1` FOREIGN KEY (`parentId`) REFERENCES `collectiontable` (`id`) ON DELETE CASCADE ON UPDATE CASCADE) QMYSQL: Unable to execute query
Query: ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE 
""
Unable to initialize database.
"[
0: akonadiserver() [0x805d455]
1: akonadiserver() [0x805d6e1]
2: [0xb76fc400]
3: [0xb76fc424]
4: /lib/i386-linux-gnu/libc.so.6(gsignal+0x4f) [0xb6d99aff]
5: /lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb6d9d083]
6: /usr/lib/i386-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x123) [0xb7448d53]
7: akonadiserver() [0x805f524]
8: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xc8) [0xb74ed488]
9: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x11084e) [0xb74fd84e]
10: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x35) [0xb7506f45]
11: akonadiserver() [0x8062da2]
12: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x3a) [0xb757789a]
13: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x20b) [0xb757f6eb]
14: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x60) [0xb7566030]
15: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication6notifyEP7QObjectP6QEvent+0x54) [0xb7566094]
16: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7a) [0xb7565e3a]
17: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1dd) [0xb75696fd]
18: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2c) [0xb7569c0c]
19: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x1a91de) [0xb75961de]
20: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x13e) [0xb6c7283e]
21: /lib/i386-linux-gnu/libglib-2.0.so.0(+0x46be8) [0xb6c72be8]
22: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38) [0xb6c72ca8]
23: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f) [0xb75959cf]
24: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x43) [0xb7564813]
25: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x179) [0xb7564b39]
26: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x8e) [0xb756a8ee]
27: akonadiserver() [0x8057849]
28: /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0xb6d84905]
29: akonadiserver() [0x8058372]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/lib/lightdm/lightdm", "/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/bin/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
MySQL version OK (required "5.1" , available "5.5" ) 
Database "akonadi" opened using driver "QMYSQL" 
DbInitializer::run() 
checking table  "SchemaVersionTable" 
checking table  "ResourceTable" 
checking table  "CollectionTable" 
checking table  "MimeTypeTable" 
checking table  "PimItemTable" 
checking table  "FlagTable" 
checking table  "PartTypeTable" 
checking table  "PartTable" 
checking table  "CollectionAttributeTable" 
checking table  "TagTable" 
checking table  "TagAttributeTable" 
checking table  "TagRemoteIdResourceRelationTable" 
checking table  "PimItemFlagRelation" 
checking table  "PimItemTagRelation" 
checking table  "CollectionMimeTypeRelation" 
checking table  "CollectionPimItemRelation" 
DbInitializer::run() done 
skipping update 2 
skipping update 3 
skipping update 4 
skipping update 8 
skipping update 10 
skipping update 12 
skipping update 13 
skipping update 14 
skipping update 15 
skipping update 16 
skipping update 17 
skipping update 18 
skipping update 19 
skipping update 20 
skipping update 21 
skipping update 22 
skipping update 23 
skipping update 24 
skipping update 25 
skipping update 26 
Adding new foreign key constraints 
"ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE" 
Updating index failed:  
Sql error: Cannot add or update a child row: a foreign key constraint fails (`akonadi`.`#sql-a49_1e`, CONSTRAINT `#sql-a49_1e_ibfk_1` FOREIGN KEY (`parentId`) REFERENCES `collectiontable` (`id`) ON DELETE CASCADE ON UPDATE CASCADE) QMYSQL: Unable to execute query
Query: ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE 
""
Unable to initialize database.
"[
0: akonadiserver() [0x805d455]
1: akonadiserver() [0x805d6e1]
2: [0xb777d400]
3: [0xb777d424]
4: /lib/i386-linux-gnu/libc.so.6(gsignal+0x4f) [0xb6e1aaff]
5: /lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb6e1e083]
6: /usr/lib/i386-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x123) [0xb74c9d53]
7: akonadiserver() [0x805f524]
8: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xc8) [0xb756e488]
9: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x11084e) [0xb757e84e]
10: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x35) [0xb7587f45]
11: akonadiserver() [0x8062da2]
12: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x3a) [0xb75f889a]
13: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x20b) [0xb76006eb]
14: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x60) [0xb75e7030]
15: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication6notifyEP7QObjectP6QEvent+0x54) [0xb75e7094]
16: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7a) [0xb75e6e3a]
17: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1dd) [0xb75ea6fd]
18: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2c) [0xb75eac0c]
19: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x1a91de) [0xb76171de]
20: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x13e) [0xb6cf383e]
21: /lib/i386-linux-gnu/libglib-2.0.so.0(+0x46be8) [0xb6cf3be8]
22: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38) [0xb6cf3ca8]
23: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f) [0xb76169cf]
24: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x43) [0xb75e5813]
25: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x179) [0xb75e5b39]
26: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x8e) [0xb75eb8ee]
27: akonadiserver() [0x8057849]
28: /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0xb6e05905]
29: akonadiserver() [0x8058372]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/lib/lightdm/lightdm", "/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/bin/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
MySQL version OK (required "5.1" , available "5.5" ) 
Database "akonadi" opened using driver "QMYSQL" 
DbInitializer::run() 
checking table  "SchemaVersionTable" 
checking table  "ResourceTable" 
checking table  "CollectionTable" 
checking table  "MimeTypeTable" 
checking table  "PimItemTable" 
checking table  "FlagTable" 
checking table  "PartTypeTable" 
checking table  "PartTable" 
checking table  "CollectionAttributeTable" 
checking table  "TagTable" 
checking table  "TagAttributeTable" 
checking table  "TagRemoteIdResourceRelationTable" 
checking table  "PimItemFlagRelation" 
checking table  "PimItemTagRelation" 
checking table  "CollectionMimeTypeRelation" 
checking table  "CollectionPimItemRelation" 
DbInitializer::run() done 
skipping update 2 
skipping update 3 
skipping update 4 
skipping update 8 
skipping update 10 
skipping update 12 
skipping update 13 
skipping update 14 
skipping update 15 
skipping update 16 
skipping update 17 
skipping update 18 
skipping update 19 
skipping update 20 
skipping update 21 
skipping update 22 
skipping update 23 
skipping update 24 
skipping update 25 
skipping update 26 
Adding new foreign key constraints 
"ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE" 
Updating index failed:  
Sql error: Cannot add or update a child row: a foreign key constraint fails (`akonadi`.`#sql-a49_21`, CONSTRAINT `#sql-a49_21_ibfk_1` FOREIGN KEY (`parentId`) REFERENCES `collectiontable` (`id`) ON DELETE CASCADE ON UPDATE CASCADE) QMYSQL: Unable to execute query
Query: ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE 
""
Unable to initialize database.
"[
0: akonadiserver() [0x805d455]
1: akonadiserver() [0x805d6e1]
2: [0xb779f400]
3: [0xb779f424]
4: /lib/i386-linux-gnu/libc.so.6(gsignal+0x4f) [0xb6e3caff]
5: /lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb6e40083]
6: /usr/lib/i386-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x123) [0xb74ebd53]
7: akonadiserver() [0x805f524]
8: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xc8) [0xb7590488]
9: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x11084e) [0xb75a084e]
10: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x35) [0xb75a9f45]
11: akonadiserver() [0x8062da2]
12: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x3a) [0xb761a89a]
13: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x20b) [0xb76226eb]
14: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x60) [0xb7609030]
15: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication6notifyEP7QObjectP6QEvent+0x54) [0xb7609094]
16: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7a) [0xb7608e3a]
17: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1dd) [0xb760c6fd]
18: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2c) [0xb760cc0c]
19: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x1a91de) [0xb76391de]
20: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x13e) [0xb6d1583e]
21: /lib/i386-linux-gnu/libglib-2.0.so.0(+0x46be8) [0xb6d15be8]
22: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38) [0xb6d15ca8]
23: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f) [0xb76389cf]
24: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x43) [0xb7607813]
25: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x179) [0xb7607b39]
26: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x8e) [0xb760d8ee]
27: akonadiserver() [0x8057849]
28: /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0xb6e27905]
29: akonadiserver() [0x8058372]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/usr/lib/lightdm/lightdm", "/usr/local/sbin", "/usr/local/bin", "/usr/sbin", "/usr/bin", "/sbin", "/bin", "/usr/games", "/usr/local/games", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/bin/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.host                                         OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.servers                                      OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
MySQL version OK (required "5.1" , available "5.5" ) 
Database "akonadi" opened using driver "QMYSQL" 
DbInitializer::run() 
checking table  "SchemaVersionTable" 
checking table  "ResourceTable" 
checking table  "CollectionTable" 
checking table  "MimeTypeTable" 
checking table  "PimItemTable" 
checking table  "FlagTable" 
checking table  "PartTypeTable" 
checking table  "PartTable" 
checking table  "CollectionAttributeTable" 
checking table  "TagTable" 
checking table  "TagAttributeTable" 
checking table  "TagRemoteIdResourceRelationTable" 
checking table  "PimItemFlagRelation" 
checking table  "PimItemTagRelation" 
checking table  "CollectionMimeTypeRelation" 
checking table  "CollectionPimItemRelation" 
DbInitializer::run() done 
skipping update 2 
skipping update 3 
skipping update 4 
skipping update 8 
skipping update 10 
skipping update 12 
skipping update 13 
skipping update 14 
skipping update 15 
skipping update 16 
skipping update 17 
skipping update 18 
skipping update 19 
skipping update 20 
skipping update 21 
skipping update 22 
skipping update 23 
skipping update 24 
skipping update 25 
skipping update 26 
Adding new foreign key constraints 
"ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE" 
Updating index failed:  
Sql error: Cannot add or update a child row: a foreign key constraint fails (`akonadi`.`#sql-a49_24`, CONSTRAINT `#sql-a49_24_ibfk_1` FOREIGN KEY (`parentId`) REFERENCES `collectiontable` (`id`) ON DELETE CASCADE ON UPDATE CASCADE) QMYSQL: Unable to execute query
Query: ALTER TABLE CollectionTable ADD FOREIGN KEY (parentId) REFERENCES CollectionTable(id) ON UPDATE CASCADE ON DELETE CASCADE 
""
Unable to initialize database.
"[
0: akonadiserver() [0x805d455]
1: akonadiserver() [0x805d6e1]
2: [0xb7785400]
3: [0xb7785424]
4: /lib/i386-linux-gnu/libc.so.6(gsignal+0x4f) [0xb6e22aff]
5: /lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb6e26083]
6: /usr/lib/i386-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x123) [0xb74d1d53]
7: akonadiserver() [0x805f524]
8: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xc8) [0xb7576488]
9: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x11084e) [0xb758684e]
10: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x35) [0xb758ff45]
11: akonadiserver() [0x8062da2]
12: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x3a) [0xb760089a]
13: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x20b) [0xb76086eb]
14: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x60) [0xb75ef030]
15: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication6notifyEP7QObjectP6QEvent+0x54) [0xb75ef094]
16: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7a) [0xb75eee3a]
17: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1dd) [0xb75f26fd]
18: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2c) [0xb75f2c0c]
19: /usr/lib/i386-linux-gnu/libQtCore.so.4(+0x1a91de) [0xb761f1de]
20: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x13e) [0xb6cfb83e]
21: /lib/i386-linux-gnu/libglib-2.0.so.0(+0x46be8) [0xb6cfbbe8]
22: /lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38) [0xb6cfbca8]
23: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5f) [0xb761e9cf]
24: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x43) [0xb75ed813]
25: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x179) [0xb75edb39]
26: /usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x8e) [0xb75f38ee]
27: akonadiserver() [0x8057849]
28: /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0xb6e0d905]
29: akonadiserver() [0x8058372]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
"akonadiserver" crashed too often and will not be restarted!

help please !

note : If I must create a new bug report, say me ;)
Comment 25 Daniel Vrátil 2014-04-28 12:05:54 UTC
jajaX, your problem is unrelated to this one, please open a new report.
Comment 26 jajaX 2014-04-28 12:18:44 UTC
ok, no problem. sorry ;)